<%@ Register TagPrefix="Hersh" Namespace="Generic_chap7" Assembly="GenEditAdd_Chap7" %>
<HTML>
<script language="VB" runat="server">

Sub page_load(sender As Object, e As EventArgs)
	if NOT (isPostBack)
		dim sql as string
		dim ls_CodeValue as string
		ls_CodeValue = Request.QueryString("code_value")
		SQL = "Select * from masters"
		Gen.sql = SQL
		if cint(ls_codeValue) = 0 then
		  Gen.Where = ""
		else
		   Gen.where= "  Where code_value =" + ls_CodeValue
		end if
		Gen.display = "111110"
		Gen.KeyField = "code_value"
		Gen.KeyValue = ls_codeValue
		Gen.procedure = "p_masters"
		Gen.ExitPage = "masters.aspx"
	end if
end sub
</script>
<BODY>
<form runat = "server" >
<Hersh:GenEditAdd_Chap7 id = "Gen" runat=server 
 ConnStr = "Provider=SQLOLEDB; Data Source=(local); Initial Catalog=ASPNET;User ID=sa;" />
</form>
</BODY>
</HTML>
